Bug 194092 - [SOUP] Improve use of PAL::SessionID in WebKitCookieManager
Summary: [SOUP] Improve use of PAL::SessionID in WebKitCookieManager
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: WebKit Nightly Build
Hardware: PC Linux
: P2 Normal
Assignee: Michael Catanzaro
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-31 08:52 PST by Michael Catanzaro
Modified: 2019-02-05 08:03 PST (History)
8 users (show)

See Also:


Attachments
Patch (8.49 KB, patch)
2019-01-31 08:54 PST, Michael Catanzaro
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Catanzaro 2019-01-31 08:52:12 PST
Improve use of PAL::SessionID in WebKitCookieManager. Always get it from the data store instead of assuming the default session ID, and add a helper function for this.

We could cache it there too, just not sure it's worth it.
Comment 1 Michael Catanzaro 2019-01-31 08:54:19 PST
Created attachment 360731 [details]
Patch
Comment 2 Build Bot 2019-01-31 08:57:13 PST
Thanks for the patch. If this patch contains new public API please make sure it follows the guidelines for new WebKit2 GTK+ API. See http://trac.webkit.org/wiki/WebKitGTK/AddingNewWebKit2API
Comment 3 WebKit Commit Bot 2019-02-01 08:51:19 PST
Comment on attachment 360731 [details]
Patch

Clearing flags on attachment: 360731

Committed r240850: <https://trac.webkit.org/changeset/240850>
Comment 4 WebKit Commit Bot 2019-02-01 08:51:21 PST
All reviewed patches have been landed.  Closing bug.